Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServerC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CI_
#define | _PORTABLESERVER_POALIST_CI_
#define | _PORTABLESERVER_OBJECTID_CI_
#define | _PORTABLESERVER_THREADPOLICY___CI_
#define | _PORTABLESERVER_LIFESPANPOLICY___CI_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY___CI_
#define | _PORTABLESERVER_IDASSIGNMENTPOLICY___CI_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___CI_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY___CI_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY___CI_
#define | _PORTABLESERVER_POAMANAGER___CI_
#define | _PORTABLESERVER_ADAPTERACTIVATOR___CI_
#define | _PORTABLESERVER_SERVANTMANAGER___CI_
#define | _PORTABLESERVER_SERVANTACTIVATOR___CI_
#define | _PORTABLESERVER_SERVANTLOCATOR___CI_
#define | _PORTABLESERVER_POA___CI_
#define | _PORTABLESERVER_CURRENT___CI_
## Functions
ACE_INLINE PortableServer::ThreadPolicy_ptr | tao_PortableServer_ThreadPolicy_duplicate ( PortableServer::ThreadPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_ThreadPolicy_release ( PortableServer::ThreadPolicy_ptr p )
ACE_INLINE PortableServer::ThreadPolicy_ptr | tao_PortableServer_ThreadPolicy_nil ( void )
ACE_INLINE PortableServer::ThreadPolicy_ptr | tao_PortableServer_ThreadPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_ThreadPolicy_upcast ( void *src )
ACE_INLINE PortableServer::LifespanPolicy_ptr | tao_PortableServer_LifespanPolicy_duplicate ( PortableServer::LifespanPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_LifespanPolicy_release ( PortableServer::LifespanPolicy_ptr p )
ACE_INLINE PortableServer::LifespanPolicy_ptr | tao_PortableServer_LifespanPolicy_nil ( void )
ACE_INLINE PortableServer::LifespanPolicy_ptr | tao_PortableServer_LifespanPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_LifespanPolicy_upcast ( void *src )
ACE_INLINE PortableServer::IdUniquenessPolicy_ptr | tao_PortableServer_IdUniquenessPolicy_duplicate ( PortableServer::IdUniquenessPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_IdUniquenessPolicy_release ( PortableServer::IdUniquenessPolicy_ptr p )
ACE_INLINE PortableServer::IdUniquenessPolicy_ptr | tao_PortableServer_IdUniquenessPolicy_nil ( void )
ACE_INLINE PortableServer::IdUniquenessPolicy_ptr | tao_PortableServer_IdUniquenessPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_IdUniquenessPolicy_upcast ( void *src )
ACE_INLINE PortableServer::IdAssignmentPolicy_ptr | tao_PortableServer_IdAssignmentPolicy_duplicate ( PortableServer::IdAssignmentPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_IdAssignmentPolicy_release ( PortableServer::IdAssignmentPolicy_ptr p )
ACE_INLINE PortableServer::IdAssignmentPolicy_ptr | tao_PortableServer_IdAssignmentPolicy_nil ( void )
ACE_INLINE PortableServer::IdAssignmentPolicy_ptr | tao_PortableServer_IdAssignmentPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_IdAssignmentPolicy_upcast ( void *src )
ACE_INLINE PortableServer::ImplicitActivationPolicy_ptr | tao_PortableServer_ImplicitActivationPolicy_duplicate ( PortableServer::ImplicitActivationPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_ImplicitActivationPolicy_release ( PortableServer::ImplicitActivationPolicy_ptr p )
ACE_INLINE PortableServer::ImplicitActivationPolicy_ptr | tao_PortableServer_ImplicitActivationPolicy_nil ( void )
ACE_INLINE PortableServer::ImplicitActivationPolicy_ptr | tao_PortableServer_ImplicitActivationPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_ImplicitActivationPolicy_upcast ( void *src )
ACE_INLINE PortableServer::ServantRetentionPolicy_ptr | tao_PortableServer_ServantRetentionPolicy_duplicate ( PortableServer::ServantRetentionPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_ServantRetentionPolicy_release ( PortableServer::ServantRetentionPolicy_ptr p )
ACE_INLINE PortableServer::ServantRetentionPolicy_ptr | tao_PortableServer_ServantRetentionPolicy_nil ( void )
ACE_INLINE PortableServer::ServantRetentionPolicy_ptr | tao_PortableServer_ServantRetentionPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_ServantRetentionPolicy_upcast ( void *src )
ACE_INLINE PortableServer::RequestProcessingPolicy_ptr | tao_PortableServer_RequestProcessingPolicy_duplicate ( PortableServer::RequestProcessingPolicy_ptr p )
ACE_INLINE void | tao_PortableServer_RequestProcessingPolicy_release ( PortableServer::RequestProcessingPolicy_ptr p )
ACE_INLINE PortableServer::RequestProcessingPolicy_ptr | tao_PortableServer_RequestProcessingPolicy_nil ( void )
ACE_INLINE PortableServer::RequestProcessingPolicy_ptr | tao_PortableServer_RequestProcessingPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_RequestProcessingPolicy_upcast ( void *src )
ACE_INLINE PortableServer::POAManager_ptr | tao_PortableServer_POAManager_duplicate ( PortableServer::POAManager_ptr p )
ACE_INLINE void | tao_PortableServer_POAManager_release ( PortableServer::POAManager_ptr p )
ACE_INLINE PortableServer::POAManager_ptr | tao_PortableServer_POAManager_nil ( void )
ACE_INLINE PortableServer::POAManager_ptr | tao_PortableServer_POAManager_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_POAManager_upcast ( void *src )
ACE_INLINE PortableServer::AdapterActivator_ptr | tao_PortableServer_AdapterActivator_duplicate ( PortableServer::AdapterActivator_ptr p )
ACE_INLINE void | tao_PortableServer_AdapterActivator_release ( PortableServer::AdapterActivator_ptr p )
ACE_INLINE PortableServer::AdapterActivator_ptr | tao_PortableServer_AdapterActivator_nil ( void )
ACE_INLINE PortableServer::AdapterActivator_ptr | tao_PortableServer_AdapterActivator_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_AdapterActivator_upcast ( void *src )
ACE_INLINE PortableServer::ServantManager_ptr | tao_PortableServer_ServantManager_duplicate ( PortableServer::ServantManager_ptr p )
ACE_INLINE void | tao_PortableServer_ServantManager_release ( PortableServer::ServantManager_ptr p )
ACE_INLINE PortableServer::ServantManager_ptr | tao_PortableServer_ServantManager_nil ( void )
ACE_INLINE PortableServer::ServantManager_ptr | tao_PortableServer_ServantManager_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_ServantManager_upcast ( void *src )
ACE_INLINE PortableServer::ServantActivator_ptr | tao_PortableServer_ServantActivator_duplicate ( PortableServer::ServantActivator_ptr p )
ACE_INLINE void | tao_PortableServer_ServantActivator_release ( PortableServer::ServantActivator_ptr p )
ACE_INLINE PortableServer::ServantActivator_ptr | tao_PortableServer_ServantActivator_nil ( void )
ACE_INLINE PortableServer::ServantActivator_ptr | tao_PortableServer_ServantActivator_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_ServantActivator_upcast ( void *src )
ACE_INLINE PortableServer::ServantLocator_ptr | tao_PortableServer_ServantLocator_duplicate ( PortableServer::ServantLocator_ptr p )
ACE_INLINE void | tao_PortableServer_ServantLocator_release ( PortableServer::ServantLocator_ptr p )
ACE_INLINE PortableServer::ServantLocator_ptr | tao_PortableServer_ServantLocator_nil ( void )
ACE_INLINE PortableServer::ServantLocator_ptr | tao_PortableServer_ServantLocator_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_ServantLocator_upcast ( void *src )
ACE_INLINE PortableServer::POA_ptr | tao_PortableServer_POA_duplicate ( PortableServer::POA_ptr p )
ACE_INLINE void | tao_PortableServer_POA_release ( PortableServer::POA_ptr p )
ACE_INLINE PortableServer::POA_ptr | tao_PortableServer_POA_nil ( void )
ACE_INLINE PortableServer::POA_ptr | tao_PortableServer_POA_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_POA_upcast ( void *src )
ACE_INLINE PortableServer::Current_ptr | tao_PortableServer_Current_duplicate ( PortableServer::Current_ptr p )
ACE_INLINE void | tao_PortableServer_Current_release ( PortableServer::Current_ptr p )
ACE_INLINE PortableServer::Current_ptr | tao_PortableServer_Current_nil ( void )
ACE_INLINE PortableServer::Current_ptr | tao_PortableServer_Current_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableServer_Current_upcast ( void *src )

## Define Documentation

#define _PORTABLESERVER_ADAPTERACTIVATOR___CI_

#define _PORTABLESERVER_CURRENT___CI_

#define _PORTABLESERVER_IDASSIGNMENTPOLICY___CI_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY___CI_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___CI_

#define _PORTABLESERVER_LIFESPANPOLICY___CI_

#define _PORTABLESERVER_OBJECTID_CI_

#define _PORTABLESERVER_POALIST_CI_

#define _PORTABLESERVER_POAMANAGER___CI_

#define _PORTABLESERVER_POA___CI_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY___CI_

#define _PORTABLESERVER_SERVANTACTIVATOR___CI_

#define _PORTABLESERVER_SERVANTLOCATOR___CI_

#define _PORTABLESERVER_SERVANTMANAGER___CI_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY___CI_

#define _PORTABLESERVER_THREADPOLICY___CI_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CI_

## Function Documentation

ACE_INLINE PortableServer::AdapterActivator_ptr tao_PortableServer_AdapterActivator_duplicate ( | PortableServer::AdapterActivator_ptr p )

ACE_INLINE PortableServer::AdapterActivator_ptr tao_PortableServer_AdapterActivator_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::AdapterActivator_ptr tao_PortableServer_AdapterActivator_nil ( | void )

ACE_INLINE void tao_PortableServer_AdapterActivator_release ( | PortableServer::AdapterActivator_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_AdapterActivator_upcast ( | void * src )

ACE_INLINE PortableServer::Current_ptr tao_PortableServer_Current_duplicate ( | PortableServer::Current_ptr p )

ACE_INLINE PortableServer::Current_ptr tao_PortableServer_Current_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::Current_ptr tao_PortableServer_Current_nil ( | void )

ACE_INLINE void tao_PortableServer_Current_release ( | PortableServer::Current_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_Current_upcast ( | void * src )

ACE_INLINE PortableServer::IdAssignmentPolicy_ptr tao_PortableServer_IdAssignmentPolicy_duplicate ( | PortableServer::IdAssignmentPolicy_ptr p )

ACE_INLINE PortableServer::IdAssignmentPolicy_ptr tao_PortableServer_IdAssignmentPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::IdAssignmentPolicy_ptr tao_PortableServer_IdAssignmentPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_IdAssignmentPolicy_release ( | PortableServer::IdAssignmentPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_IdAssignmentPolicy_upcast ( | void * src )

ACE_INLINE PortableServer::IdUniquenessPolicy_ptr tao_PortableServer_IdUniquenessPolicy_duplicate ( | PortableServer::IdUniquenessPolicy_ptr p )

ACE_INLINE PortableServer::IdUniquenessPolicy_ptr tao_PortableServer_IdUniquenessPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::IdUniquenessPolicy_ptr tao_PortableServer_IdUniquenessPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_IdUniquenessPolicy_release ( | PortableServer::IdUniquenessPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_IdUniquenessPolicy_upcast ( | void * src )

ACE_INLINE PortableServer::ImplicitActivationPolicy_ptr tao_PortableServer_ImplicitActivationPolicy_duplicate ( | PortableServer::ImplicitActivationPolicy_ptr p )

ACE_INLINE PortableServer::ImplicitActivationPolicy_ptr tao_PortableServer_ImplicitActivationPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::ImplicitActivationPolicy_ptr tao_PortableServer_ImplicitActivationPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_ImplicitActivationPolicy_release ( | PortableServer::ImplicitActivationPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_ImplicitActivationPolicy_upcast ( | void * src )

ACE_INLINE PortableServer::LifespanPolicy_ptr tao_PortableServer_LifespanPolicy_duplicate ( | PortableServer::LifespanPolicy_ptr p )

ACE_INLINE PortableServer::LifespanPolicy_ptr tao_PortableServer_LifespanPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::LifespanPolicy_ptr tao_PortableServer_LifespanPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_LifespanPolicy_release ( | PortableServer::LifespanPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_LifespanPolicy_upcast ( | void * src )

ACE_INLINE PortableServer::POAManager_ptr tao_PortableServer_POAManager_duplicate ( | PortableServer::POAManager_ptr p )

ACE_INLINE PortableServer::POAManager_ptr tao_PortableServer_POAManager_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::POAManager_ptr tao_PortableServer_POAManager_nil ( | void )

ACE_INLINE void tao_PortableServer_POAManager_release ( | PortableServer::POAManager_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_POAManager_upcast ( | void * src )

ACE_INLINE PortableServer::POA_ptr tao_PortableServer_POA_duplicate ( | PortableServer::POA_ptr p )

ACE_INLINE PortableServer::POA_ptr tao_PortableServer_POA_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::POA_ptr tao_PortableServer_POA_nil ( | void )

ACE_INLINE void tao_PortableServer_POA_release ( | PortableServer::POA_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_POA_upcast ( | void * src )

ACE_INLINE PortableServer::RequestProcessingPolicy_ptr tao_PortableServer_RequestProcessingPolicy_duplicate ( | PortableServer::RequestProcessingPolicy_ptr p )

ACE_INLINE PortableServer::RequestProcessingPolicy_ptr tao_PortableServer_RequestProcessingPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::RequestProcessingPolicy_ptr tao_PortableServer_RequestProcessingPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_RequestProcessingPolicy_release ( | PortableServer::RequestProcessingPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_RequestProcessingPolicy_upcast ( | void * src )

ACE_INLINE PortableServer::ServantActivator_ptr tao_PortableServer_ServantActivator_duplicate ( | PortableServer::ServantActivator_ptr p )

ACE_INLINE PortableServer::ServantActivator_ptr tao_PortableServer_ServantActivator_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::ServantActivator_ptr tao_PortableServer_ServantActivator_nil ( | void )

ACE_INLINE void tao_PortableServer_ServantActivator_release ( | PortableServer::ServantActivator_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_ServantActivator_upcast ( | void * src )

ACE_INLINE PortableServer::ServantLocator_ptr tao_PortableServer_ServantLocator_duplicate ( | PortableServer::ServantLocator_ptr p )

ACE_INLINE PortableServer::ServantLocator_ptr tao_PortableServer_ServantLocator_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::ServantLocator_ptr tao_PortableServer_ServantLocator_nil ( | void )

ACE_INLINE void tao_PortableServer_ServantLocator_release ( | PortableServer::ServantLocator_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_ServantLocator_upcast ( | void * src )

ACE_INLINE PortableServer::ServantManager_ptr tao_PortableServer_ServantManager_duplicate ( | PortableServer::ServantManager_ptr p )

ACE_INLINE PortableServer::ServantManager_ptr tao_PortableServer_ServantManager_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::ServantManager_ptr tao_PortableServer_ServantManager_nil ( | void )

ACE_INLINE void tao_PortableServer_ServantManager_release ( | PortableServer::ServantManager_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_ServantManager_upcast ( | void * src )

ACE_INLINE PortableServer::ServantRetentionPolicy_ptr tao_PortableServer_ServantRetentionPolicy_duplicate ( | PortableServer::ServantRetentionPolicy_ptr p )

ACE_INLINE PortableServer::ServantRetentionPolicy_ptr tao_PortableServer_ServantRetentionPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::ServantRetentionPolicy_ptr tao_PortableServer_ServantRetentionPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_ServantRetentionPolicy_release ( | PortableServer::ServantRetentionPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_ServantRetentionPolicy_upcast ( | void * src )

ACE_INLINE PortableServer::ThreadPolicy_ptr tao_PortableServer_ThreadPolicy_duplicate ( | PortableServer::ThreadPolicy_ptr p )

ACE_INLINE PortableServer::ThreadPolicy_ptr tao_PortableServer_ThreadPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableServer::ThreadPolicy_ptr tao_PortableServer_ThreadPolicy_nil ( | void )

ACE_INLINE void tao_PortableServer_ThreadPolicy_release ( | PortableServer::ThreadPolicy_ptr p )

ACE_INLINE CORBA::Object * tao_PortableServer_ThreadPolicy_upcast ( | void * src )